<?xml version="1.0" encoding="UTF-8"?>
<module xmlns="urn:jboss:module:1.1" name="org.apache.camel.component.salesforce">
  <resources>
    <resource-root path="bayeux-api-3.0.10.jar"/>
    <resource-root path="camel-salesforce-2.18.0.jar"/>
    <resource-root path="cometd-java-client-3.0.10.jar"/>
    <resource-root path="cometd-java-common-3.0.10.jar"/>
  </resources>
  <dependencies>
    <module name="javax.api" />
    <module name="com.fasterxml.jackson.core.jackson-core" />
    <module name="org.codehaus.jackson.jackson-core-asl" />
    <module name="org.joda.time" />
    <module name="com.fasterxml.jackson.core.jackson-annotations" />
    <module name="com.fasterxml.jackson.core.jackson-databind" />
    <module name="com.thoughtworks.xstream" />
    <module name="javax.xml.bind.api" />
    <module name="org.apache.camel.core" />
    <module name="org.eclipse.jetty" />
    <module name="org.slf4j" />
  </dependencies>
  <exports>
    <exclude path="org/apache/camel/component/salesforce/internal**" />
    <exclude path="org/eclipse**" />
    <exclude path="org/cometd**" />
  </exports>
</module>
